Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Structures | Typedefs | Functions
cls_24byte.c File Reference
`#include "ffitest.h"`

Go to the source code of this file.

## Data Structures
struct | cls_struct_24byte

## Typedefs
typedef struct cls_struct_24byte | cls_struct_24byte

## Functions
cls_struct_24byte | cls_struct_24byte_fn (struct cls_struct_24byte b0, struct cls_struct_24byte b1, struct cls_struct_24byte b2, struct cls_struct_24byte b3)
int | main (void)

## Typedef Documentation

## ◆ cls_struct_24byte

typedef struct cls_struct_24byte cls_struct_24byte

## Function Documentation

## ◆ cls_struct_24byte_fn()

cls_struct_24byte cls_struct_24byte_fn | ( | struct cls_struct_24byte | b0,
|  | struct cls_struct_24byte | b1,
|  | struct cls_struct_24byte | b2,
|  | struct cls_struct_24byte | b3
| ) |  |

Definition at line 18 of file cls_24byte.c.

Referenced by main().

## ◆ main()

int main | ( | void |  | ) |

Definition at line 54 of file cls_24byte.c.

References cls_struct_24byte::a, cls_struct_24byte::b, cls_struct_24byte::c, CHECK, cls_struct_24byte_fn(), cls_struct_24byte::d, ffi_call(), FFI_DEFAULT_ABI, ffi_prep_cif(), ffi_prep_closure_loc(), NULL, and printf().